### Virtual Method

# Ide Vcs get_config

#### Declaration

    IdeVcsConfig*
    get_config (
      IdeVcs* self
    )

#### Description

Retrieves an `IdeVcsConfig` for the `IdeVcs` provided. If the `IdeVcs` implementation does not support access to configuration, then `NULL` is returned.

Available since: | 3.32

#### Return value

Returns: | `IdeVcsConfig`
| An `IdeVcsConfig` or `NULL`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.